#
# spec file for package nginx-geolite-city
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define ngx_conf_dir %{_sysconfdir}/nginx
%define geo_ip_path GeoLiteCity.dat

Name:           nginx-geolite-city
# GeoIP databases are not versioned, but they are updated monthly.
# That's why we use YY.MM format for versioning this package.
Version:        18.03
Release:        1.1
Summary:        Free IP city geolocation databases for nginx
License:        CC-BY-SA-4.0
Group:          Productivity/Networking/Web/Proxy
Url:            https://dev.maxmind.com/geoip/legacy/geolite/
Source:         https://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz
Requires:       nginx
BuildArch:      noarch

%description
The GeoLite databases are our free IP geolocation databases. They are updated on
the first Tuesday of each month. These databases are offered in the same binary
and csv formats as our subscription databases. Any code which can read the
subscription databases can also read the GeoLite databases.

IP geolocation is inherently imprecise. Locations are often near the center of
the population. Any location provided by a GeoIP database should not be used to
identify a particular address or household.

%prep
gunzip -k %{SOURCE0}

%build

%install
install -D -m 0644 %{_sourcedir}/%{geo_ip_path} %{buildroot}%{ngx_conf_dir}/%{geo_ip_path}

%files
%dir %{ngx_conf_dir}
%config %{ngx_conf_dir}/GeoLiteCity.dat

%changelog
* Mon Mar 26 2018 mrostecki@suse.com
- Initial release
